# $Revision: 1.7 $, $Date: 2011/07/08 11:55:28 $
Summary:	Utility for optimizing and compressing JPEG files
Summary(pl.UTF-8):	Program do optymalizacji i kompresji plików JPEG.
Name:		jpegoptim
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
# Source0-md5:	40e8e627181f524ad29717c5b07cd442
URL:		http://www.kokkonen.net/tjko/projects.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jpegoptim can optimize and compress jpeg files. Program supports
lossless optimization, which is based on optimizing the Huffman
tables. So called, "lossy" optimization (compression) is done by
re-encoding the image using user specified image quality factor.

%description -l pl.UTF-8
Jpegoptim potrafi optymalizować i kompresować pliki jpeg. Program
dokonuje bezstratnej optymalizacji opartej na optymalizacji tablic
Huffmana. Optymalizacja stratna (kompresja) jest dokonywana przez
przekodowanie obrazu z podaną przez użytkownika jakością.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub aux
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/jpegoptim
%{_mandir}/man1/jpegoptim.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jpegoptim.spec,v $
Revision 1.7  2011/07/08 11:55:28  glen
- up to 1.2.4

Revision 1.6  2011/01/29 00:06:49  sparky
- dropped pre-cvs changelog

Revision 1.5  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.3  2004/01/24 17:38:18  undefine
- copy config.sub, release 2

Revision 1.2  2003/08/21 08:18:41  qboosh
- cosmetics/cleanups

Revision 1.1  2003/08/20 14:23:30  undefine
- initial pld version by ytm
